{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "failurePolicy": {
          "default": "reinstall",
          "enum": [
            "abort",
            "reinstall"
          ],
          "type": "string"
        },
        "values": {
          "x-kubernetes-preserve-unknown-fields": true
        },
        "valuesContent": {
          "type": "string"
        },
        "valuesSecrets": {
          "items": {
            "properties": {
              "ignoreUpdates": {
                "type": "boolean"
              },
              "keys": {
                "items": {
                  "type": "string"
                },
                "type": "array"
              },
              "name": {
                "type": "string"
              }
            },
            "type": "object"
          },
          "type": "array"
        }
      },
      "type": "object"
    }
  },
  "type": "object"
}
